Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class PDFFlowExtTextPainter

    java.lang.Object
      org.apache.batik.gvt.renderer.BasicTextPainter
          org.apache.batik.gvt.renderer.StrokingTextPainter
              org.apache.fop.svg.NativeTextPainter
                  org.apache.fop.svg.PDFFlowExtTextPainter

All Implemented Interfaces:
  org.apache.batik.gvt.TextPainter

    public class PDFFlowExtTextPainter

extends NativeTextPainter

Text Painter for Batik's flow text extension.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun`

Nested classes/interfaces inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`org.apache.batik.gvt.renderer.BasicTextPainter.BasicMark`

Field Summary

Fields inherited from class org.apache.fop.svg.NativeTextPainter
`fontInfo, log`

Fields inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`ADJUST_ALL, ADJUST_SPACING, ALT_GLYPH_HANDLER, ANCHOR_TYPE, BIDI_LEVEL, FLOW_PARAGRAPH, FLOW_REGIONS, GVT_FONT, GVT_FONTS, PAINT_INFO, singleton, TEXT_COMPOUND_ID, TEXTPATH, WRITING_MODE, WRITING_MODE_RTL, WRITING_MODE_TTB, XPOS, YPOS`

Fields inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`aaOffFontRenderContext, fontRenderContext`

Constructor Summary
`PDFFlowExtTextPainter(FontInfo fontInfo)` Main constructor

Method Summary
`java.util.List` | `getTextRuns(org.apache.batik.gvt.TextNode node, java.text.AttributedCharacterIterator aci)`
`protected boolean` | `isSupported(java.awt.Graphics2D g2d)` Indicates whether the given `Graphics2D` instance if compatible with this text painter implementation.
`protected void` | `paintTextRun(org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun textRun, java.awt.Graphics2D g2d)` Paints a single text run.

Methods inherited from class org.apache.fop.svg.NativeTextPainter
`collectCharacters, findFonts, logCharacter, logTextRun, paintTextRuns`

Methods inherited from class org.apache.batik.gvt.renderer.StrokingTextPainter
`adjustChunkOffsets, computeTextRuns, createModifiedACIForFontMatching, getBounds2D, getDecorationOutline, getDecorationStrokeOutline, getHighlightShape, getInstance, getMark, getOutline, getSelected, getTextChunk, getTextChunkACIs, hitTest, paint, paintDecorations, printAttrs, selectFirst, selectLast`

Methods inherited from class org.apache.batik.gvt.renderer.BasicTextPainter
`getGeometryBounds, getTextLayoutFactory, selectAt, selectTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFFlowExtTextPainter

    public PDFFlowExtTextPainter(FontInfo fontInfo)

  Main constructor

  Parameters:
    `fontInfo` - the font directory

Method Detail

### getTextRuns

    public java.util.List getTextRuns(org.apache.batik.gvt.TextNode node,
                                      java.text.AttributedCharacterIterator aci)

  Overrides:
    `getTextRuns` in class `org.apache.batik.gvt.renderer.StrokingTextPainter`

### isSupported

    protected boolean isSupported(java.awt.Graphics2D g2d)

  Indicates whether the given `Graphics2D` instance if compatible with this text painter implementation.

  Specified by:
    `isSupported` in class `NativeTextPainter`
  Parameters:
    `g2d` - the instance to check
  Returns:
    true if the instance is compatible.

### paintTextRun

    protected void paintTextRun(org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun textRun,
                                java.awt.Graphics2D g2d)

  Paints a single text run.

  Specified by:
    `paintTextRun` in class `NativeTextPainter`
  Parameters:
    `textRun` - the text run
    `g2d` - the target Graphics2D instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.